#
# spec file for package perl-Date-Holidays-CZ
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Date-Holidays-CZ
Version:        0.13
Release:        1.1
%define cpan_name Date-Holidays-CZ
Summary:        Determine Czech holidays
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Date-Holidays-CZ/
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Date::Calc) >= 5
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Software::License)
Requires:       perl(Date::Calc) >= 5
%{perl_requires}

%description
This module exports a single function named *holidays()* which returns a
list of Czech holidays in a given year.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes example LICENSE README

%changelog
* Sat Apr 23 2016 ncutler@suse.com
- update to latest upstream version 0.13
  + Good Friday from 2016 on
  + add some basic unit tests
* Wed Mar 23 2016 ncutler@suse.com
- added a version 0.09 for the changes since 0.08
- updated to latest upstream version (0.11). The only significant
  change is:
  + CZ.pm: support Good Friday (new holiday as of 2016)
* Sat Sep 12 2015 ncutler@suse.com
- SLE_11_SP3 silliness
* Sat Sep 12 2015 ncutler@suse.com
- Use done_testing() instead of bareword
* Sat Sep 12 2015 ncutler@suse.com
- Make it clear that test suite does nothing
* Sat Sep 12 2015 ncutler@suse.com
- Really do not require a particular version of Module::Build
* Tue Sep  8 2015 ncutler@suse.com
- Do not require a particular version of Module::Build
* Tue Sep  8 2015 ncutler@suse.com
- Require perl 5.010 instead of 5.012
* Sat Aug  1 2015 ncutler@suse.com
- updated to 0.08
- re-generated spec file
- added _service file
* Fri Dec 27 2013 ncutler@suse.com
- Changes from upstream version 0.07:
  * Remove auto-added docu-cruft from CZ.pm
* Fri Dec 27 2013 presnypreklad@gmail.com
- Changes from upstream version 0.06:
  * Simplify use of Exporter (neither 'parent' nor 'base' is required)
  * Uncomment tests in t/01-code-paces.t
  * Get rid of pod.t because it demands a 'lib' directory in the
    distribution, and we don't have one
* Fri Dec 27 2013 presnypreklad@gmail.com
- Changes from upstream version 0.05:
  * use base instead of use parent (for compatibility with SLE11-SP3,
    which uses Perl 5.10.0)
* Fri Dec 27 2013 presnypreklad@gmail.com
- module is now upstream on CPAN; use version 0.04 from there
* Sat Dec 21 2013 presnypreklad@gmail.com
- get it to build
* Sat Dec 21 2013 presnypreklad@gmail.com
- initial commit
